Announcements

Update an announcement

PUT
https://api.tunio.ai/v1/announcements/{announcement_id}

Update an existing announcement by UUID

路径参数

名称类型说明
announcement_idRequiredstringAnnouncement ID

请求体

Updated announcement data

名称类型说明
background_uuidstring
BackgroundUUID updates background track.
background_volumenumber
BackgroundVolume updates background volume (0..1).
end_datestring
EndDate adjusts when the announcement expires.
has_audio_warningboolean
HasAudioWarning toggles start warning tone.
messagestring
Message updates the body text or script (max 500 characters).
model_idstring
Model updates the TTS model UUID.
speednumber
Speed optionally customizes playback speed multiplier.
start_datestring
StartDate adjusts when the announcement becomes active.
titlestring
Title allows updating the announcement headline (max 500 characters).
请求示例
01{
02 "background_uuid": "123e4567-e89b-12d3-a456-426614174001",
03 "background_volume": 0.3,
04 "end_date": "2024-12-31T23:59:59Z",
05 "has_audio_warning": true,
06 "message": "Updated weather message",
07 "model_id": "123e4567-e89b-12d3-a456-426614174000",
08 "speed": 1,
09 "start_date": "2024-01-15T14:30:00Z",
10 "title": "Updated Weather Update"
11}

响应

名称类型说明
successboolean
Success indicates the request completed without errors.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.
名称类型说明
messagestring
Message contains human readable error details.
successboolean
Success is always false for error payloads.